org.apache.hadoop.mapreduce.lib.map

## Class TokenCounterMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<Object,Text,Text,IntWritable>
  - - org.apache.hadoop.mapreduce.lib.map.TokenCounterMapper

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class TokenCounterMapper
      extends Mapper<Object,Text,Text,IntWritable>

  Tokenize the input values and emit each word with a count of 1.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenCounterMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `map(Object key, Text value, org.apache.hadoop.mapreduce.Mapper.Context context)` Called once for each key/value pair in the input split.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenCounterMapper

          public TokenCounterMapper()

  - ### Method Detail

    - #### map

          public void map(Object key,
                          Text value,
                          org.apache.hadoop.mapreduce.Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Description copied from class: `Mapper`
      Called once for each key/value pair in the input split. Most applications should override this, but the default is the identity function.
      Overrides:
        `map` in class `Mapper<Object,Text,Text,IntWritable>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2022 Apache Software Foundation. All rights reserved.